/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.common;

import de.tud.kom.p2psim.api.application.Application;

/**
 * An application Host is a host that includes a specific Application.
 * For example in WSN scenario.
 * @author Lukas Wehrstein
 * @version 1.0, 05.03.2022
 */
public interface ApplicationHost {
	/**
	 * Set the hosts application
	 */
	public void setApplication(Application app);
	
	/**
	 * get the hosts application
	 * @return the app
	 */
	public Application getApplication();
}
