/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of PeerfactSim.KOM.
 * 
 * PeerfactSim.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.energy.components;

import de.tud.kom.p2psim.api.energy.ComponentType;
import de.tudarmstadt.maki.simonstrator.api.Host;
import de.tudarmstadt.maki.simonstrator.api.Monitor;
import de.tudarmstadt.maki.simonstrator.api.Monitor.Level;
import de.tudarmstadt.maki.simonstrator.api.component.HostComponent;
import de.tudarmstadt.maki.simonstrator.api.component.HostComponentFactory;
import de.tudarmstadt.maki.simonstrator.api.util.XMLConfigurableConstructor;

public class OneStateEnergyComponentFactory implements HostComponentFactory {

	private double energyConsumptionUWatt;
	private ComponentType componentType;
	
	@XMLConfigurableConstructor({ "energyConsumptionUwatt", "componentType"})
	public OneStateEnergyComponentFactory(double energyConsumptionUWatt, String componentType) {
		this.energyConsumptionUWatt = energyConsumptionUWatt;
		
		try {
			this.componentType = ComponentType.valueOf(componentType);
		} catch (Exception e) {
			Monitor.log(getClass(), Level.WARN, "Could not parse %s in a valid ComponentType. Used BASIC instead.", componentType);
			this.componentType = ComponentType.BASIC;
		}
		
	}
	
	//TODO LW
	
	@Override
	public HostComponent createComponent(Host host) {
		//HostComponent hc = new OneStateEnergyComponent(energyConsumptionUWatt, componentType);
		return null;
	}

}
