/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tud.kom.p2psim.impl.wsn;

import de.tud.kom.p2psim.api.energy.EnergyComponent;
import de.tud.kom.p2psim.impl.common.Deactivatable;
import de.tudarmstadt.maki.simonstrator.api.component.HostComponent;

/**
 * EnergyAwareHostComponents are Host Components that have impact on the hosts energy management.
 * The Energy Management is done with a corresponding EnergyComponent.  
 * @author Lukas Wehrstein
 * @version 1.0, 04.03.2022
 */
public interface EnergyAwareHostComponent extends HostComponent, Deactivatable{
	
	/**
	 * Get the EnergyComponent, that represents this EnergyAwareHostComponent
	 * @return
	 */
	public EnergyComponent getEnergyComponent();
	
	/**
	 * Set the EnergyComponent that represents this specific EnergyAwareHostComponent
	 * @param energyComponent
	 */
	public void setEnergyComponent(EnergyComponent energyComponent);
}
