package de.tud.kom.p2psim.impl.wsn;

/**
 * A simple Timer Interface for WSN Applications. Timer can be started and
 * stopped.
 * 
 * @author Lukas Wehrstein
 *
 */
public interface WSNAppTimer {

	/**
	 * Start the timer
	 */
	public void startTimer();

	/**
	 * Stop the timer
	 * 
	 * @return elapsed time since start
	 */
	public long stopTimer();
	
	/**
	 * Get the elapsed time
	 * @return
	 */
	public long getElapsedTime();
}
